Foswiki 1.1.3 Fast CGI installation

This took me a long time, and a trip to the IRC channel to sort out.

When you install Foswiki, the installaiton guide sends you to an Apache Config File Generator. One of the options is to use cgi, or Fast CGI. Since I’ve used Fast CGI before and I know it works on my server, I selected that.

I got the configure program running, but the wiki would only 404.

I dug in and discovered the FastCGI configuration uses a foswiki.fcgi script, which wasn’t anywhere in my archive.

There’s a reason: It’s an extension you have to install. Foswiki dosen’t ship with FastCGI support.

You can install it through Configure; go to Extensions, click the Find and Install Extensions button, then install FastCGIEngineContrib.

A kind user there, gac410, knew this and got me straightened right out right away. Thanks again, gac!


2 Responses to “Foswiki 1.1.3 Fast CGI installation”

  1. Mansoor says:


    I am going crazy trying to install foswiki on my site. Have been to our web guys and the foswiki IRC channel etc but no help yet. Could you please help me with the installation or at least some guidance on what could be going wrong.

    • Laufeyjarson says:

      I’m sorry to hear you’re having trouble with the installation. Considering I have no idea how your web host is set up, what problems you are having, and am not a Foswiki expert, I don’t think I can help you.

      Try CGI mode, and being polite and asking specific questions on the IRC channel.

      It’s all I can suggest from here.

Leave a Reply